Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Class HoldSampleSender

    java.lang.Object
      org.apache.jmeter.samplers.HoldSampleSender

All Implemented Interfaces:
  Serializable, SampleSender

    public class HoldSampleSender

extends Object
implements SampleSender, Serializable

Lars-Erik Helander provided the idea (and original implementation) for the caching functionality (sampleStore).

See Also:
  Serialized Form

Constructor Summary
`HoldSampleSender()` Deprecated. only for use by test code

Method Summary
`void` | `sampleOccurred(SampleEvent e)` A sample occurred
`void` | `testEnded()` The test ended
`void` | `testEnded(String host)` The test ended

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HoldSampleSender

    @Deprecated
    public HoldSampleSender()

  Deprecated. only for use by test code

Method Detail

### testEnded

    public void testEnded()

  The test ended

  Specified by:
    `testEnded` in interface `SampleSender`

### testEnded

    public void testEnded(String host)

  The test ended

  Specified by:
    `testEnded` in interface `SampleSender`
  Parameters:
    `host` - the host that the test ended on.

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  A sample occurred

  Specified by:
    `sampleOccurred` in interface `SampleSender`
  Parameters:
    `e` - a Sample Event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.